EDIT - bug #7395

Selection of nomenclatural code does not work in new taxon dialog
05/02/2018 10:47 AM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major Found in Version:

Description

The "New Taxon" dialog (when opened from search taxon selection dialog, e.g. when selecting a new taxon for a misapplied name or
selecting a taxon for a concept relationship) has problems with filling the nomenclatural code field. "NonViral" is prefilled - and when
trying to select another code the selection always jumps back to "NonViral".

Related issues:
Related to EDIT - feature request #7401: Guess NomCode for new taxa and names New

Associated revisions

Revision f1160ece - 05/02/2018 12:24 PM - Katja Luther

fix #7395: add check for Nonviral nomenclatutal code in checkForDeletableParts

History

#1 - 05/02/2018 10:49 AM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 5.0

- Severity changed from normal to major

| just see that we have the same problem in details view. Once a name is defined as "Non Viral" it can't be changed anymore. So this ticket becomes
a bit more critical.

#2 - 05/02/2018 01:53 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|f1160ece1943f7119ecc23f2f4ebd3ec75bd0f6f.

#3 - 05/02/2018 10:05 PM - Andreas Miuller

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 05/06/2018 12:57 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

#5 - 05/06/2018 01:01 PM - Andreas Miuller

- Related to feature request #7401: Guess NomCode for new taxa and names added
